pushd "%~dp0"
if "%PROCESSOR_ARCHITECTURE%" == "x86" (
copy x86\amidimap.cpl "%SystemRoot%\System32\amidimap.cpl"
reg add "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32" /v midimapper /t REG_SZ /d amidimap.cpl /f
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Multimedia\MIDIMap" /f
)
if "%PROCESSOR_ARCHITECTURE%" == "AMD64" (
copy amd64\amidimap.cpl "%SystemRoot%\System32\amidimap.cpl"
copy x86\amidimap.cpl "%SystemRoot%\SysWOW64\amidimap.cpl"
reg add "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Drivers32" /v midimapper /t REG_SZ /d amidimap.cpl /f
reg add "HKLM\SOFTWARE\Wow6432Node\Microsoft\Windows NT\CurrentVersion\Drivers32" /v midimapper /t REG_SZ /d amidimap.cpl /f
reg add "HKCU\Software\Microsoft\Windows\CurrentVersion\Multimedia\MIDIMap" /f
)
popd
exit /b
